language: cn
model_unique_abbr: add_crop_confid
version: 1.0
identification:
  docker_image_name: add_crop_confid:1.0
  model_name: 种植信息推测
  semantic: add crop confidence
  description: 根据统计的各项作物百分比，给地块矢量添加物候置信度。
  category_application: 通用基础型
  category_data:
  - 矢量数据
  keywords:
  - 物候
  - 置信度
parameter_info:
  parameters:
  - arg_name: i
    param_type: input_data
    name: 输入矢量文件
    description: 地块矢量文件,里面为添加了物候信息的地块矢量。
    data_type: shp
    data_semantic: area_with_phenology
  - arg_name: c
    param_type: input_data
    name: 置信度配置文件
    description: 置信度配置文件
    data_type: csv
    data_semantic: crop_confid_config
  - arg_name: d
    param_type: input_data
    name: 作物占比文件
    description: 作物占比文件
    data_type: csv
    data_semantic: crop_data
  - arg_name: r
    param_type: param
    name: 行政区域名称
    description: 行政区域名称
    data_type: str
    data_semantic: region
    specification:
      default: liangping
  - arg_name: o
    param_type: output_data
    name: 输出矢量文件
    description: 添加了作物置信度信息的地块矢量
    data_type: shp
    data_semantic: area_with_crop_confid
application:
  domain: 物候
  objective: 物候数据连接
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 对地块矢量与作物置信度信息进行数据连接
operation:
  usage: 为地块添加作物置信度信息
  exec_example:
  - "docker run -v ￥PWD/project/data:/project/data project:1.0 --file /project/data/lines.tif --epsg 4326"
  output_display:
  - 文件，里面是添加了作物置信度信息的地块矢量
 
technique:
  language: [Python]
  os: [Linux, Windows]
source:
  maintainer: Xingchen Fan
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: fanxc@lreis.ac.cn
  integrated_softwares: []
  references: []
